Index: ram/asgvce.c
===================================================================
--- ram/asgvce.c	(revision 05806159f2593192d6ed2fca28358480a2383c67)
+++ ram/asgvce.c	(revision 7258c6ac4de2518c5430095742a27be7af0c89d7)
@@ -34,33 +34,33 @@
 */
 
-extern	short	clksrc;		/* clock source */
-extern	short	curasg;		/* current assignment table */
-extern	short	legato;		/* "legato" mode flag */
-extern	short	lstbgnc;	/* last note begin entry count */
-extern	short	lstendc;	/* last note end entry count */
-extern	short	lstflag;	/* last note list end flag */
-extern	short	ndisp;		/* current display number */
-extern	short	newflag;	/* new data entered while t_ctr EQ t_cur */
-extern	short	nkdown;		/* number of keys down */
-extern	short	recsw;		/* record/play switch */
-extern	short	sd;		/* score display direction */
-extern	short	se;		/* score execution direction */
-extern	short	stepenb;	/* step enable */
-extern	short	stepint;	/* note interval */
-extern	short	stepwgt;	/* note weight */
-extern	short	velflag;	/* velocity display enable flag */
-
-extern	short	grpmode[];	/* group mode table */
-extern	short	grpstat[];	/* group status table */
-extern	short	ins2grp[];	/* instrument to group assigments */
-extern	short	vce2grp[];	/* voice to group map */
-extern	short	lastvce[];	/* last voice assigned in each group */
-extern	short	lastvel[];	/* last velocity seen by each group */
-extern	short	tuntab[];	/* current tuning table */
-extern	short	vce2trg[];	/* voice to trigger map (-1 EQ NULL) */
-
-extern	short	stepfrm[][17];	/* steps per frame table */
-
-extern	unsigned	*obj8;	/* score display object pointer */
+extern	int16_t	clksrc;		/* clock source */
+extern	int16_t	curasg;		/* current assignment table */
+extern	int16_t	legato;		/* "legato" mode flag */
+extern	int16_t	lstbgnc;	/* last note begin entry count */
+extern	int16_t	lstendc;	/* last note end entry count */
+extern	int16_t	lstflag;	/* last note list end flag */
+extern	int16_t	ndisp;		/* current display number */
+extern	int16_t	newflag;	/* new data entered while t_ctr EQ t_cur */
+extern	int16_t	nkdown;		/* number of keys down */
+extern	int16_t	recsw;		/* record/play switch */
+extern	int16_t	sd;		/* score display direction */
+extern	int16_t	se;		/* score execution direction */
+extern	int16_t	stepenb;	/* step enable */
+extern	int16_t	stepint;	/* note interval */
+extern	int16_t	stepwgt;	/* note weight */
+extern	int16_t	velflag;	/* velocity display enable flag */
+
+extern	int16_t	grpmode[];	/* group mode table */
+extern	int16_t	grpstat[];	/* group status table */
+extern	int16_t	ins2grp[];	/* instrument to group assigments */
+extern	int16_t	vce2grp[];	/* voice to group map */
+extern	int16_t	lastvce[];	/* last voice assigned in each group */
+extern	int16_t	lastvel[];	/* last velocity seen by each group */
+extern	int16_t	tuntab[];	/* current tuning table */
+extern	int16_t	vce2trg[];	/* voice to trigger map (-1 EQ NULL) */
+
+extern	int16_t	stepfrm[][17];	/* steps per frame table */
+
+extern	uint16_t	*obj8;	/* score display object pointer */
 
 extern	struct	gdsel	*gdstbc[];	/* group status table - center slice */
@@ -86,5 +86,5 @@
 void clrnl(void)
 {
-	register short i;
+	register int16_t i;
 
 	DB_ENTR("clrnl");
@@ -116,8 +116,8 @@
 */
 
-void ne_end(short trg, short grp)
+void ne_end(int16_t trg, int16_t grp)
 {
-	register short nn;
-	register long fcend;
+	register int16_t nn;
+	register int32_t fcend;
 	register struct nevent *nx;
 	register struct n_entry *ep;
@@ -270,5 +270,5 @@
 */
 
-void ne_bgn(short grp, short key, short vel)
+void ne_bgn(int16_t grp, int16_t key, int16_t vel)
 {
 	register struct n_entry *ep;
@@ -360,7 +360,7 @@
 */
 
-void showvel(short g, short v)
+void showvel(int16_t g, int16_t v)
 {
-	char buf[6];
+	int8_t buf[6];
 
 	if (v_regs[5] & 0x0180)
@@ -384,11 +384,11 @@
 */
 
-void asgvce(short grp, short port, short chan, short key, short vel)
+void asgvce(int16_t grp, int16_t port, int16_t chan, int16_t key, int16_t vel)
 {
-	register short i;
-	register short tv;
-	register short vp;
-	register short trg;
-	register short aflag;
+	register int16_t i;
+	register int16_t tv;
+	register int16_t vp;
+	register int16_t trg;
+	register int16_t aflag;
 	register struct nevent *np;
 	register struct n_entry *ep;
